%define     lib_name libdxr3
%define		lib_major 0

Name:		em8300
Version:	0.12.0
Release:	4mdk
URL:		http://dxr3.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
Group:		System/Kernel and hardware
License:	GPL
BuildRequires:	libgtk+1.2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Summary:	Utilities for Hollywood plus / DXR3 device driver for Linux

%description
This package contains utilities that can be used by packages
developed for use with the Hollywood plus or DXR3 MPEG
decoder cards.

For futher info. see http://dxr3.sourceforge.net/

%package -n %{lib_name}_%{lib_major}
Summary: Libraries for Hollywood plus / DXR3 device driver for Linux
Group: System/Libraries
Requires: %{name} >= %{version}

%description -n %{lib_name}_%{lib_major}
This package contains libraries that can be used by packages
developed for use with the Hollywood plus or DXR3 MPEG
decoder cards.

%package -n %{lib_name}_%{lib_major}-devel
Summary: Development Libraries & includes for DXR3 device
Group: Development/Other
Requires: %{lib_name}_%{lib_major} = %{version}
Provides: %{lib_name}-devel

%description -n %{lib_name}_%{lib_major}-devel
This contains the development libraries used when
building an application that will make use of the
shared objects in the em8300 package.

%prep
%setup -q

%build

CFLAGS="-fPIC" %configure
%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/devfs/conf.d/

cp modules/*.uc $RPM_BUILD_ROOT%{_datadir}/em8300
cp modules/devfs_symlinks $RPM_BUILD_ROOT%{_sysconfdir}/devfs/conf.d/em8300.conf

cat scripts/microcode_upload.pl | sed -e 's@/usr/share/misc/@/usr/share/em8300/@g' > $RPM_BUILD_ROOT%{_bindir}/em8300init
chmod 755 $RPM_BUILD_ROOT%{_bindir}/em8300init

%post
killall -HUP devfsd 2>/dev/null || :

%postun
killall -HUP devfsd 2>/dev/null || :

%post -n %{lib_name}_%{lib_major} -p /sbin/ldconfig

%postun -n %{lib_name}_%{lib_major}  -p /sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog modules/README-* modules/INSTALL
%config(noreplace) %{_sysconfdir}/devfs/conf.d/*
%{_bindir}/*
%{_datadir}/em8300

%files -n %{lib_name}_%{lib_major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}_%{lib_major}-devel
%defattr(-,root,root)
%{_includedir}/libdxr3
%{_includedir}/linux/*
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-4mdk
- Fix dependencies again..

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-3mdk
- Fix dependencies
- Add missing files
- Add devfs support

* Tue May  7 2002 Stefan van der Eijk <stefan@eijk.nu> 0.12.0-2mdk
- BuildRequires

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Initial Mdk release

* Tue Sep 25 2001 Andrew Meredith <andrew@anvil.org>
- Removed extranious line from devel file list.

* Tue Sep 25 2001 Akos Szabo <fonya@fatav.hu>
- Remove docs section from kmods, and devel
- Added Provides to the kmods

* Tue Mar 13 2001 Andrew Meredith <andrew@anvil.org>
- Added em8300-kmods package

* Mon Mar 12 2001 Andrew Meredith <andrew@anvil.org>
- First draft of rpm package for em8300 including
  both main em8300 and em8300-devel.

